﻿using Infragistics.Win;
using Infragistics.Win.UltraWinGrid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace GridAppStyleIssueRowSelection
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();            
            this.ultraGrid1.Dock = DockStyle.Fill;
            this.ultraGrid1.DataSource = GetData();            
            
            this.ultraGrid1.SummaryValueChanged += UltraGrid1_SummaryValueChanged;
        }

        private void UltraGrid1_SummaryValueChanged(object sender, SummaryValueChangedEventArgs e)
        {
            //e.SummaryValue.ToolTipText = null;
        }

        private DataTable GetData()
        {
            string[] names = { "Peter", "Maria", "John", "Vladimir", "Gustavo" };

            DataTable dt = new DataTable();

            var keys = new DataColumn[1];

            dt.Columns.Add("ID", typeof(int));
            dt.Columns.Add("Name", typeof(string));
            dt.Columns.Add("Date", typeof(DateTime));            
            dt.Columns.Add("IsActive", typeof(bool));           

            for (int i = 0; i < 20; i++)
            {
                var row = dt.Rows.Add();
                row[0] = i + 1;
                row[1] = names[i % 5];
                row[2] = DateTime.Now.AddDays(i * 2);               
                row[3] = i % 2 == 0;               
            }
            keys[0] = dt.Columns["ID"];

            dt.PrimaryKey = keys;

            return dt;
        }

        private void ultraGrid1_InitializeLayout(object sender, InitializeLayoutEventArgs e)
        {
            var band = e.Layout.Bands[0];
            var s = band.Summaries.Add(SummaryType.Sum, band.Columns["ID"]);
            var s2 = band.Summaries.Add(SummaryType.Average, band.Columns["ID"]);

            s.ToolTipText = "";
            s2.ToolTipText = "";

            band.Override.SummaryDisplayArea = SummaryDisplayAreas.Top;
            // if you comment the code below or resize the ID column the summaries would have automatic tooltips
            // because the width of the summaries would be greater than the width of the column
            band.Override.DefaultColWidth = 100;

        }
    }
}
